Bug 860227 - volume detach fails due to mismatch between nova and python-cinderclient versioning
volume detach fails due to mismatch between nova and python-cinderclient ver...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-cinderclient (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 06:43 EDT by Eoghan Glynn
Modified: 2012-12-20 10:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:03:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eoghan Glynn 2012-09-25 06:43:57 EDT
Description of problem:

Volume detach fails with:

nova.api.openstack   File "/usr/lib/python2.7/site-packages/nova/volume/cinder.py", line 178, in begin_detaching
nova.api.openstack    cinderclient(context).volumes.begin_detaching(volume['id'])
nova.api.openstack AttributeError: 'VolumeManager' object has no attribute 'begin_detaching'

This is due to a mismatch between the nova code and the python-cinderclient, specifically the following commit is missing from the latter:

  https://github.com/openstack/python-cinderclient/commit/a4d46014


Version-Release number of selected component (if applicable):

python-cinderclient-0.2-2.fc18.noarch


How reproducible:

100%

Steps to Reproduce:
1. Create a volume
2. Attach volume to an instance
3. Detach volume
  

Actual results:

Attempt to detach fails with 500 Server Error.


Expected results:

Detach should suceed with 202 Accepted.

Additional info:
Comment 1 Eoghan Glynn 2012-09-25 07:12:47 EDT
Initial work-around pending rebuild of python-cinderclient packages:

  sudo yum install git
  git clone https://github.com/openstack/python-cinderclient.git $HOME/git
  sudo mv /lib/python2.7/site-packages/cinderclient /lib/python2.7/site-packages/cinderclient.old
  sudo ln -s $HOME/git/python-cinderclient/cinderclient/ /lib/python2.7/site-packages/cinderclient
  sudo service openstack-nova-api restart
Comment 2 Eoghan Glynn 2012-09-25 07:27:00 EDT
The same versioning problem causes boot-from-volume to fail with:

Build error: ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 493, in _run_instance\n    instance)\n', '  File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 725, in _prep_block_device\n    return self._setup_block_device_mapping(context, instance)\n', '  File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 432, in _setup_block_device_mapping\n    \'\', \'\', snapshot)\n', '  File "/usr/lib/python2.7/site-packages/nova/volume/cinder.py", line 218, in create\n', "TypeError: create() got an unexpected keyword argument 'imageRef'\n"]
Comment 4 Fedora Update System 2012-09-25 12:57:06 EDT
python-cinderclient-0.2.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-cinderclient-0.2.26-1.fc18
Comment 5 Fedora Update System 2012-09-26 17:22:41 EDT
Package python-cinderclient-0.2.26-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cinderclient-0.2.26-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14859/python-cinderclient-0.2.26-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 10:03:15 EST
python-cinderclient-0.2.26-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.